Home and small office networking overview

Microsoft Windows graphic

Home or small office networking overview

If you have more than one computer, or other hardware devices such as printers, scanners, or cameras, you can use a network to share files, folders, and your Internet connection. For example, if you are working online, someone else can be surfing the Internet from another computer at the same time. If you have multiple computers and one or more other hardware devices such as printers, scanners, or cameras, you can also share access to those devices from all computers.

There are several ways to connect computers or create a network. For a home or small office, the most common model is peer-to-peer networking.

In a peer-to-peer network, also called a workgroup, computers directly communicate with each other and do not require a server to manage network resources. A peer-to-peer network is most appropriate when fewer than ten computers are located in the same general area. The computers in a workgroup are considered peers because they are all equal and share resources among each other. Each user decides which data on his or her computer will be shared with the network. By sharing common resources, users can print from a single printer, access information in shared folders, and work on a single file without transferring it to a floppy disk.

A home or small office network is like a telephone system. On a network, each computer has a network adapter that acts like a phone handset: just as you use a handset for talking and listening, the computer uses the network device to send and receive information to and from other computers on the network. With home or small office networking, you can:

  • Use one computer to secure your entire network and protect your Internet connection.
  • Share one Internet connection with all of the computers on the network.
  • Work on files stored on any computer on the network.
  • Share printers with all of the computers on the network.
  • Play multiplayer games.

Setting up your network is a two-part process:

  1. Install and configure the appropriate hardware on each computer. Some hardware might require additional configuration to get connected to the Internet. XOX
  2. Run the Network Setup Wizard on each computer in your home or small office network.

The Network Setup Wizard guides you through the steps needed to set up your network.

You can use a residential gateway device, through which all of your computers connect to the Internet. Or you can set up one computer to communicate to the Internet using Internet Connection Sharing (ICS). All computers in your network can communicate with the Internet through a single connection at the same time. All members of your family can surf the Web, check their e-mail, and play Internet games through a single connection.

Notes

  • XOX
  • The Network Setup Wizard is only supported on computers running Windows 98, Windows 98 Second Edition, Windows Millennium Edition, XOX, and XOX.
  • Your ISP might charge you for having multiple Internet connections. Check with your Internet service provider for details.

Related Topics


Home and small office networking tools overview

Network Setup Wizard

The Network Setup Wizard makes setting up a home or small office network easier than before. After the network hardware is installed and your computers are connected together, run the Network Setup Wizard. If you have an Internet Connection Sharing (ICS) host computer, run the wizard on the host computer first, and then run the wizard on the rest of the computers. (These are called the client computers.) After you answer some basic questions, the wizard configures the computers to operate correctly on the network, and enables File and Printer Sharing if it is appropriate to do so.

Wireless Network Setup Wizard

You can use the Wireless Network Setup Wizard to set up a wireless network. You must first install the appropriate hardware on each computer or device (for example, install a wireless network adapter on any computer or device that does not have one). Then you can run the Wireless Network Setup Wizard.

For more information about the Wireless Network Setup Wizard, see Setting up a wireless network.

New Connection Wizard

With the New Connection Wizard, you can easily create Internet, dial-up, virtual private networking (VPN), incoming, and direct connections.

The New Connection Wizard replaces the Internet Connection Wizard found in earlier versions of Windows.

Local area connections are automatically created when a network adapter is installed in the computer. After installing the network adapter, you can configure it to access the Internet or communicate with your home or small office network. For more information, see To make a local area connection.

Residential gateway

A residential gateway is a device that connects multiple computers to the Internet using a single Internet connection. The client computers rely on the residential gateway to provide Internet access. Security is enhanced when you use this configuration because only the residential gateway is visible to the Internet. Any communication from client computers to the Internet must pass through the gateway, a process that keeps the addresses of client computers hidden from anyone on the Internet. Client computers are protected because they cannot be seen from outside the network.

The residential gateway also manages network addressing. The gateway assigns itself a permanent address and provides Dynamic Host Configuration Protocol (DHCP) to client computers, assigning a unique address to each client, which enables the client computers to communicate with other computers on the network.

Windows Firewall

XOX offers small networks that are connected to the Internet the added security of firewall protection. Windows Firewall is enabled by default to help protect all Internet and network connections. You can also download and install a firewall of your own choosing.

Network Bridge

Network Bridge simplifies the setup and configuration of small networks with mixed network media types, such as Ethernet, home phoneline network adapter (HPNA), wireless, and IEEE 1394 devices. Each media type creates its own network segment. You can create a single subnet for the entire home or small office network by using Network Bridge across mixed media segments.

When the Network Setup Wizard is run, it detects if there are multiple network adapters installed in the computer. It then asks if you want to create the Network Bridge. Network adapters that are connected to the Internet, such as an Ethernet adapter connected to an external DSL or cable modem, should not be added to the Network Bridge.

Discovery and Control

Discovery and Control is a UPnP technology that enables client computers to remotely access and configure an ICS host or an Internet gateway device. For more information, see Using Internet Connection Sharing with Internet Gateway Device Discovery and Control and Using Internet Gateway Device Discovery and Control.

Note

  • XOX


Steps for creating a home or small office network

The checklist below lists the steps, in the order they should be completed, for setting up a home or small office network using the Network Setup Wizard. If a step does not apply to you, go on to the next step.

Before you start to set up your network, print this checklist so that you can refer to it. Also, read the Home and small office networking overview.

Step | Reference
Sketch out your network: draw a diagram of your home or office, showing the location of each computer and printer. Or, you can create a table that lists the hardware on each computer. | Sample table for determining hardware needs
Next to each computer, note the hardware, such as modems and network adapters, installed on each computer. | Modems overview; Network adapters overview
Choose the computer on which you will set up the residential gateway (or the computer that will be your Internet Connection Sharing (ICS) host computer). We recommend that this computer be running XOX, XOX or XOX. | Choosing your Internet Connection Sharing host computer; Network configurations overview
Determine the type of network adapters you need for your network: Ethernet, home phoneline network adapter (HPNA), wireless, or IEEE 1394. | Network adapters overview; Choosing an internal or external network adapter
Make a list of hardware that you need to buy. This includes modems, network adapters, hubs, and cables. | Buying the right hardware
Buy the hardware. | XOX
Install the correct network adapters and modems on each computer. | See the manufacturers’ documentation.
If you are setting up a wireless network, run the Wireless Network Setup Wizard. | Setting up a wireless network
Physically connect the computers together. Plug the cables into hubs, phone jacks, and the computer. | Connect your computers together
Turn on all computers and printers. |
Make sure the computer attached to the residential gateway (or the ICS host computer) has an active Internet connection. To establish your Internet connection, run the New Connection Wizard. | Internet Connection Sharing; To make an Internet connection
Run the XOX Network Setup Wizard on the computer attached to the residential gateway (or the ICS host computer). | Network Setup Wizard overview
Run the Network Setup Wizard on the other computers on your network. | Configure other computers on your network using a floppy disk

Notes

  • XOX
  • If you plan to use Internet Connection Sharing (ICS), and another computer using an earlier version of Windows has ICS enabled, disable ICS on this computer before enabling ICS on XOX or XOX. For more information, see Change the Internet Connection Sharing host computer.
  • The Network Setup Wizard is only supported on computers using Windows 98, Windows 98 Second Edition, Windows Millennium Edition, XOX, XOX, or XOX.
  • Windows Millennium Edition has a Home Networking Wizard. When joining this computer to the Windows network, make sure you run the Network Setup Wizard on the computer running Windows Millennium Edition.


Setting up a wireless network

You can use the Wireless Network Setup Wizard to set up a wireless network in your home or small office. Setting up a wireless network is a two-part process:

  1. Install the appropriate hardware on each computer or device. For example, install a wireless network adapter on any computer or device that does not have one.
  2. Run the Wireless Network Setup Wizard.

The Wireless Network Setup Wizard guides you through setting up your network. If you have a USB flash drive, the wizard can save your network settings to the drive. Then you simply insert the USB drive into the access point, and then into each computer or device that you want to add to the network.

If you don't have a USB flash drive, the Wireless Network Setup Wizard can still help you set up a wireless network. And even if your computer does not have a wireless network adapter, you can still use the Wireless Network Setup Wizard to configure other computers that do have wireless adapters.

The Wireless Network Setup Wizard is only available in XOX. Some access points do not support this configuration method; those access points must be configured manually.

After running the Wireless Network Setup Wizard, you can turn on File and Printer Sharing on your new wireless network by running the Network Setup Wizard on each computer.


Hardware requirements overview

There are four types of hardware required to set up a home or small office network:

  • Network adapter: Network adapters (also called network cards) connect your computers to the network and enable them to communicate with each other. Network adapters can be connected to the USB port on your computer or installed inside your computer in an available PCI expansion slot.
  • Network hubs and cables: A hub connects communication lines at a central location. A hub is typically used for connecting two or more computers to an Ethernet network. A hub is not required if you connect your computers through your phone lines using a home phoneline network adapter (HPNA), or if you use a wireless adapter. You can also use IEEE 1394 network adapters.
  • Modem: A modem can be a 28.8 or 56 kilobits per second (Kbps) modem, a wireless modem, an Integrated Services Digital Network (ISDN), a Digital Subscriber Line (DSL), or a cable modem.

The computers on your network must meet the following minimum requirements:

  • If you use Internet Connection Sharing (ICS), the computer sharing its Internet connection (the ICS host computer) should be running XOX or XOX.
  • The Network Setup Wizard can only be run on computers running Windows 98, Windows 98 Second Edition, Windows Millennium Edition, XOX, XOX, or XOX.

When you have all the required hardware installed in each of your computers, you can run the Network Setup Wizard.

Notes

  • XOX
  • Before running the Network Setup Wizard, create an Internet connection on the computer that is attached to a residential gateway (or the ICS host computer, if you are using ICS). For more information about creating an Internet connection using the New Connection Wizard see, To make an Internet connection.
  • External network adapters are the easiest to install because you plug them into a USB port on your computer instead of opening up your computer. For more information about installation, read the documentation that came with your hardware.
  • XOX


Network adapters overview

A network adapter is a device that connects your computer to a network.

External network adapters do not require opening up your computer or installing special network cables in your home. You can plug an external network adapter into a USB port on your computer. External network adapters are the fastest and easiest way to set up your home network. They are available for Ethernet, home phoneline network adapter (HPNA), or wireless technology.

Internal network adapters are installed in an expansion slot inside your computer. Most computers come with several PCI expansion slots.

The following table describes the different types of network adapters available today. External and internal adapters are available for each type.

Type | Explanation
Home Phoneline Network Adapter (HPNA) | HPNAs use existing phone lines but operate on a different band of frequencies to avoid interference with regular telephone calls. You install the adapter using a regular telephone cable, and then plug your computer into the phone jack. Every phone jack in your home becomes a port on the network, eliminating the need for a network hub. With HPNA, you do not need network cables.
Wireless | Wireless network adapters do not use cables or other physical means to connect your computers together. Using specially authorized radio frequencies, data is transferred by radio between your computer and radio transceivers.
Ethernet | Ethernet is used widely for networking. Ethernet adapters connect through a network hub. If your home is wired for Ethernet, you can connect your computers using Ethernet jacks in the wall. Otherwise, you must use a network hub to connect your computers together. To connect computers with a hub, you also need a network cable, called Ethernet RJ-45 twisted pair (10BaseT or 100BaseT), which is slightly larger than a regular telephone cable.

Note

  • XOX


Choosing an internal or external network adapter

When you choose the hardware to buy for your home or small office network, you must decide whether to install network adapters inside your computer or plug them into the USB port on your computer.

External network adapters

The simplest, easiest way to set up your home or small office network is to use external USB network adapters. These adapters plug into a USB port on your computer. External network adapters are available for Ethernet, home phoneline network adapter (HPNA), and wireless networks.

When you connect the network adapter to the USB port and the corresponding hub (Ethernet network hub or phone jack for HPNA), your network is ready to use. With a wireless network, you only need to plug the wireless network adapter into the USB port.

Internal network adapters

Internal network adapters are installed inside your computer into a PCI slot. To install an internal network adapter, you must open up your computer. You can have other devices, such as modems or other network adapters, also installed in your computer.

If you already have an internal network adapter installed, and you are installing a second network adapter, we recommend that you have a qualified technician install the new network adapter. The technician can troubleshoot and resolve any problems that might occur when the network adapter is installed.

Note

  • XOX


Modems overview

A modem is a device that transmits data over telephone wires. The most common way to connect to the Internet is with a modem and an account with an Internet service provider (ISP). For more information about finding an ISP, see Internet service providers.

The following table describes the different types of modems available today. To share your Internet connection with other computers on your network, consider using a high-speed modem such as DSL or cable. Check with your local telephone company or cable television provider to see if these are available in your area.

Type | Explanation
28.8 or 56 kilobits per second (Kbps) modem | The most common way to connect to the Internet, internal modems plug into a PCI slot inside a computer. External modems plug into a serial, parallel, or USB port on a computer.
ISDN modem | ISDN is a high-speed digital line installed by a telephone company or telecommunications provider. ISDN connects to a regular phone line, and ISDN modems can be internal or external.
Cable modem | Cable modems use a broadband connection to the Internet through cable television infrastructure. These modems use frequencies that do not interfere with television transmission.
DSL modem | DSL modems use a broadband connection to the Internet through existing telephone lines, and can be internal or external. Internal DSL modems are plugged into an expansion slot in the computer and do not require a network adapter. External DSL modems use a network adapter to connect to the computer.

Note

  • XOX


Buying the right hardware

To successfully set up and run a home or small office network, the correct hardware (such as modems, network adapters, network cables, hubs, or phone cables) must be installed in each computer.

The table below will help you determine the type of network to install and the equipment you need. XOX

Home Phoneline Network Adapter (HPNA)

In a home phoneline network, your home telephone lines connect your computers together. Each computer must have an HPNA that is plugged into a phone jack. Every phone jack in your home becomes a port on the network.

Hardware | How many? | Comment
Home phoneline network adapter (HPNA) | One for each computer on your network | The computer that is connected to a residential gateway (or the Internet Connection Sharing (ICS) host computer) typically uses an Ethernet network adapter if you have an external DSL or cable modem. If you have an internal modem, or an external 28.8 or 56 kilobits per second (Kbps) modem, you only need one network adapter.
Telephone cables | One for each computer on your network | You use standard telephone cables to plug your computer into the phone jack.

Wireless

In a wireless network, each computer has a wireless network adapter. They connect by sending out radio waves using a transceiver.

Hardware | How many? | Comment
Wireless network adapter | One adapter for each computer on your network | The ICS host computer typically uses an Ethernet network adapter if you have an external DSL or cable modem. The wireless network adapter communicates with the rest of your home or small office network. If you have an internal modem you only need one network adapter.

Ethernet

In an Ethernet network, each computer generally has an Ethernet network adapter and connects to a network hub.

Hardware | How many? | Comment
Ethernet network adapter | One adapter for each computer on your network | The ICS host computer typically uses an Ethernet network adapter if you have an external DSL or cable modem, so a second network adapter is required. If you have an internal modem, you only need one network adapter.
Network hub | One | The hub should have enough jacks to accommodate all the computers on your network.
RJ-45 network cables | One for each computer that is connected to the network hub | These look like standard phone cables, but larger.

Planning your network

Using the information above, decide which solution is best for your needs. Then make list of equipment to buy. To do this:

  1. Make a table showing each computer on your network.
  2. Under each column, note if there is a network adapter, and if so, what kind of adapter it is (Ethernet, HPNA, or wireless).
  3. Under each column, note if there is a modem installed in the computer. This can be an internal or external modem, ISDN, DSL, or cable modem.
  4. If you have printers or scanners, make a note of which computer they are attached to.

With this list, you can determine how many adapters and cables you need to buy. If one or more of your computers already has a network adapter, such as Ethernet, you might want to purchase Ethernet adapters for the rest of your computers. Or, if one or more computers each has a home phoneline network adapter (HPNA), you might want to purchase a home phoneline network adapter (HPNA) for the rest of your computers. If none of your computers have adapters, you must decide how you want to connect your computers.

Notes

  • If the ICS host computer uses an external DSL or cable modem to connect to the Internet, you must install two network adapters. The DSL or cable modem is connected to one network adapter and provides the Internet connection. The second network adapter communicates with the other computers in your home network. This provides some security for the rest of the computers on the network because only one computer is seen on the Internet. Make sure that Windows Firewall or another firewall of your choice is enabled to protect the ICS host computer from Internet intrusions. Windows Firewall is enabled by default on all connections in XOX.
  • If the ICS host computer has an internal modem, install one network adapter for your home network.
  • Most external DSL and cable modems are wired to connect to an Ethernet network adapter. Check the manufacturer's specifications to determine the type of network adapter to connect to your external DSL or cable modem.
  • There are several HPNA kits available that typically have all of the hardware you need for one or two computers on your network.


Network configurations overview

There are two ways to connect your home or small office network to the Internet. You can use a residential gateway, or use Internet Connection Sharing (ICS).

Residential gateway

A residential gateway is a hardware device that connects a home or small office network to the Internet. This device is sometimes called an Internet gateway device, a router, a base station, or an access point. The residential gateway lets you share a DSL or cable modem Internet connection with all of the computers on your network.

The advantages of using a residential gateway are:

  • The gateway looks like a computer on the Internet, which hides the real computers on your network when you are on the Internet.
  • The gateway shares one Internet connection with all the computers on your network.
  • One computer does not have to be turned on all the time to provide Internet connectivity.
  • You can use the UPnP framework to control your Internet connection from anywhere in your home or small office.

The disadvantage of using a residential gateway is that the hardware is more expensive.

Using Internet Connection Sharing

If you do not want to buy a residential gateway device, you can use a configuration like this illustration of an Ethernet network. You can create a home or small office network using this configuration with a home phoneline network adapter (HPNA) or wireless network adapters. In this configuration, one computer is the ICS host computer and shares its Internet connection. Internet communications to and from the computers in your network go through the ICS host computer.

The advantage of this configuration is that sharing one Internet connection with all the computers on your network can cut the cost of connecting to the Internet.

The disadvantage of this configuration is that the host computer must be turned on at all times so that the other computers can access the Internet.


Connecting your computers together

There are several ways to connect your computers together. The configuration you choose depends on the type of network adapters, modems, and Internet connections that you use. The following tables briefly describe each connection method and show how to connect your computers together.

Using a residential gateway

We recommend that you connect your network to the Internet using a residential gateway device.

Using Internet Connection Sharing

This table shows how to connect your computers using a host computer with Internet Connection Sharing (ICS).

Internet connection type | Required hardware | View computer configuration
Internal modems or broadband modem | Each computer on your network needs one network adapter. | Configure a home phoneline network using an internal modem, DSL, or cable modem. Configure an Ethernet network using an internal modem, DSL, or cable modem. Configure a wireless network using an internal modem, DSL, or cable modem.
External broadband modem | Requires two network adapters. Connect the DSL or cable modem to an Ethernet adapter installed on the ICS host computer. The second network adapter installed on the ICS host computer is connected to the home or small office network. All the other computers on your network need one network adapter. | Configure a home phoneline network using an external DSL or cable modem. Configure a wireless network using an external DSL or cable modem. Configure an Ethernet network using an external DSL or cable modem.
External modem | Connect the external modem to the serial or USB port. All computers on the network need one network adapter. | Configure a home phoneline network using an external modem. Configure an Ethernet network using an external modem. Configure a wireless network using an external modem.

Connecting the computers together

This table shows how to connect your computers together using an Ethernet, home phoneline network adapter (HPNA), or wireless network adapter. It displays basic network configuration without a residential gateway or Internet Connection Sharing.

Connection type | Required hardware | View computer configuration
Ethernet | A network adapter is installed into each computer and then connected to a network hub. | Configure an Ethernet network using a network hub.
Home phoneline network adapter (HPNA) | A network adapter is installed into each computer and then they are plugged into phone jacks using telephone cables. | Configure a phoneline network.
Wireless network adapter | A wireless network adapter is installed into each computer. | Configure a wireless network.

Notes

  • Most external DSL and cable modems are designed to connect to an Ethernet network adapter. Check the manufacturer's specifications to determine the type of network adapter you need to connect to your external DSL or cable modem.
  • Install the modem on the computer that is connected to the residential gateway (or to the Internet Connection Sharing host).
  • XOX


Using a mixed network environment

For a home or small office network, you can use a combination of Ethernet, wireless, and home phoneline network adapter (HPNA) technology.

Here is an example: You have two computers in adjoining rooms that are connected using Ethernet adapters and a network hub. One of the computers is running either XOX or XOX. There is a third computer in a bedroom, and a fourth computer in the den. The bedroom and den computers each have an HPNA installed and are on a network together. To connect the two HPNA computers with the Ethernet computers, you would install an HPNA in the Ethernet computer that is running XOX. If your laptop computer has a wireless network adapter, you could join that computer to the network as well by installing a wireless network adapter in one other computer on the network that is running XOX.

In a mixed network, also called a multi-segment network, one or more computers have multiple network adapters. XOX and XOX support network bridging, which enables the computers and devices on each of the network segments to communicate with each other. Without network bridging, the computers connected using Ethernet can only communicate with each other, and the same rule applies to computers using HPNA or wireless. Network bridging brings each of these network segments together into what appears to be one continuous network.

The following table shows different ways to set up a mixed network environment.

Internet connection type | View computer configuration
Internal modems or broadband modems | Configure a mixed network using an internal modem, DSL, or cable modem.
External DSL or cable modems | Configure a mixed network using an external DSL or cable modem.
External 28.8 or 56 kilobits per second (Kbps) modem | Configure a mixed network using an external 28.8 or 56 Kbps modem.

Notes

  • There must be at least two network adapters installed in the computer to create a bridge.
  • The Network Setup Wizard creates network bridges only on computers running XOX and XOX.
  • The Network Setup Wizard can only be run on computers using Windows 98, Windows 98 Second Edition, Windows Millennium Edition, XOX, XOX, and XOX.


Public and private network connections

In a home or small office network that has Internet Connection Sharing (ICS) enabled, there are two network connections, one public and one private.

The public network connection is the connection to the Internet. Any type of modem—28.8 or 56 kilobits per second (Kbps), ISDN, DSL, or cable modem—that is connected to the computer can provide and direct network communication to and from the Internet to all the computers on your network. The modem acts as a network adapter.

The private network connections are those that connect the computers together as shown in this illustration. The computers on the network communicate with each other and send Internet requests through the network to the computer with a residential gateway device (or to the ICS host computer).

This connection method can help provide an enhanced degree of security for your home or small office network. Files and folders that are shared on any computer are protected and will not be seen by anyone on the Internet.

Before installing the second network adapter on your ICS host computer, we recommend that you rename the modem or network connection that is connected to the Internet. This is so you can easily identify the connection to the Internet.

Notes

  • In XOX, Windows Firewall is turned on by default for all connections, both public and private.
  • Most external DSL and cable modems are connected to an Ethernet network adapter. Check the manufacturer's specifications to determine the type of network adapter required to connect to your external DSL or cable modem.


Choosing your Internet connection

When you run the Network Setup Wizard, you must select your Internet connection from the list of network connections displayed in the wizard.

External DSL and cable modems are typically connected to an Ethernet network adapter. If you have more than one network adapter installed in your computer, you must determine which one is connected to your DSL or cable modem.

Here are some ways you can determine which network adapter is connected to your DSL or cable modem:

  • Check the documentation that came with the DSL or cable modem. It might have the name of the network adapter on it, which should correspond to one of the listed network adapters in Network Connections.
  • On the back of the DSL or cable modem, find the attached Ethernet cable. It looks like a large telephone cable. Follow the cable to the back of your computer to where it is plugged into the network adapter port. Unplug the cable from the port. In Network Connections, under LAN or High-Speed Internet, a red "X" should appear on the network connection.

If you have a broadband connection that requires you to log in with a user name and password, select the broadband connection, not the network adapter that the DSL or cable modem is attached to. This connection typically appears under Dial-up in Network Connections.

If your broadband connection is always on, meaning you do not have to log in with a user name and password, the connection appears under LAN or High-Speed Internet in Network Connections.

After determining which network adapter is your Internet connection, restart the Network Setup Wizard and select the adapter.

Notes

  • XOX
  • Local area network connections are named Local area connection by default and are listed in the Network Connections folder. This can make it difficult to determine which connection is your DSL or cable modem connection. We recommend that you rename the DSL or cable modem connection. For example, you could use the name of your Internet service provider, or call it "Internet connection."


Choosing your Internet Connection Sharing host computer

You can choose one computer to share an Internet connection with the rest of the computers on your home or small office network. This computer is called the Internet Connection Sharing (ICS) host computer.

To determine which computer should be your ICS host computer, use the following guidelines:

  • The computer should be running XOX.
  • The computer must be one that you can leave on at all times so that other computers on the network can access the Internet. If the computer is turned off, the connection to the Internet will not be available.
  • If one computer has a DSL or cable modem, use that computer as the ICS host computer.
  • If you plan to use a shared printer for your network, the printer should be installed on the ICS host computer.

Notes

  • If Internet Connection Sharing is already set up on another computer, turn off ICS on that computer before you turn on ICS on the new host computer.
  • If you upgraded to XOX and your shared printer no longer works, open Windows Firewall in Control Panel and select File and Printer Sharing on the Exceptions tab.
  • XOX


Change the Internet Connection Sharing host computer

Microsoft Windows graphic

To change the Internet Connection Sharing host computer

  1. Disable Internet Connection Sharing (ICS) on the computer that is currently sharing its Internet connection.
    • For instructions on disabling ICS in Windows 98 Second Edition, see To disable Internet Connection Sharing in Windows 98 Second Edition.
    • For instructions on disabling ICS in Windows Millennium Edition, see To disable Internet Connection Sharing in Windows Millennium Edition.
    • For instructions on disabling ICS in Windows 2000, see To disable Internet Connection Sharing in Windows 2000.
  2. Start the XOX Network Setup Wizard.

Notes

  • XOX
  • If you are sharing an Internet connection on the XOX ICS host computer, ICS is enabled on this connection when the Network Setup Wizard is run.
  • The Network Setup Wizard can only be run on computers running Windows 98, Windows 98 Second Edition, Windows Millennium Edition, or XOX.


Network Setup Wizard overview

After you set up and physically connect your computers together, the Network Setup Wizard guides you through setting up your home or small office network. You must be logged on as an administrator or a member of the Administrators group to run the Network Setup Wizard.

Start by running the Network Setup Wizard on your XOX computer. With this wizard you can:

  • Configure all the computers on your network to use one Internet connection.
  • Name your computer and provide a computer description.
  • Enable file and printer sharing.

After you have configured the first computer, run the Network Setup Wizard on the other computers that are running Windows 98, Windows 98 Second Edition, Windows Millennium Edition, or XOX.

Notes

  • XOX
  • The Network Setup Wizard can only be run on computers running Windows 98, Windows 98 Second Edition, Windows Millennium Edition, XOX, XOX, or XOX.
  • If you select This computer connects to the Internet through a residential gateway or through another computer on my network on the Select a connection method page, the Network Setup Wizard will open the Windows Firewall ports needed to discover a residential gateway and ensure that Internet Gateway Device Discovery and Control is running.
  • Windows Firewall is enabled by default on all network and Internet connections in XOX.


Start the Network Setup Wizard

Microsoft Windows graphic

To start the Network Setup Wizard

XOX

  1. Start the Network Setup Wizard.
  2. Follow the instructions on your screen.

Important

  • Before running the Network Setup Wizard, make sure that your network hardware is installed and working properly on all of the computers on your network.
  • Before running the Network Setup Wizard on computers running Windows 98 Second Edition or Windows Millennium Edition, make sure Internet Connection Sharing is disabled on these computers.

Notes

  • XOX
  • If you plan to use Internet Connection Sharing (ICS), run the Network Setup Wizard on the host computer first. The host computer is the one that will share its Internet connection.
  • During the Network Setup Wizard, we recommend that you create a floppy disk to run the Network Setup Wizard on the other computers on your network.
  • If you select This computer connects to the Internet through a residential gateway or through another computer on my network on the Select a connection method page, the Network Setup Wizard will open the Windows Firewall ports needed to discover a residential gateway and ensure that Internet Gateway Device Discovery and Control is running.
  • The Network Setup Wizard can only be run on computers running Windows 98, Windows Millennium Edition, XOX, or XOX.


Selecting your Internet connection method

When you run the Network Setup Wizard, you are given the following five choices for connecting your home or small office network to the Internet:

This computer connects directly to the Internet. The other computers on my network connect to the Internet through this computer.

This network configuration uses Internet Connection Sharing (ICS) to share this computer's Internet connection with the rest of the computers on your network. As this illustration shows, this computer, called the ICS host computer, is connected to the Internet. Communications to and from the Internet to and from all the computers on your network are sent through this computer. For more information about using ICS with different network configurations, see To connect your computers together.

This computer connects to the Internet through a residential gateway or through another computer on my network.

This computer is part of a home or small office network that connects to the Internet through a residential gateway or through another computer on the network. A residential gateway is a hardware device through which the computers on the network connect to the Internet. Typically, a DSL or cable modem is connected to the residential gateway, which is connected to an Ethernet hub, as this illustration shows. Internet communication travels through the residential gateway to all of the computers on the network.

If you have an ICS host computer (another computer on your network that shares its Internet connection), this computer can send and receive e-mail and access the Web as if it were connected directly to the Internet. This illustration shows this computer connected to the Internet through an ICS host computer.

This computer connects to the Internet directly or through a network hub. Other computers on my network also connect to the Internet directly or through a hub.

We do not recommend this network configuration. It exposes all computers on the network directly to the Internet, creating potential security problems. Instead of this, use a secure host device, such as a residential gateway or a computer running XOX with ICS enabled.

This computer connects directly to the Internet. I do not have a network yet.

Select this option if you only have one computer and it has an Internet connection as shown in this illustration.

This computer belongs to a network that does not have an Internet connection.

Select this option if you have two or more computers networked together, but do not have an Internet connection as shown in this illustration of an Ethernet network. You can also have a home or small office network with the same configuration using a home phoneline network adapter (HPNA) or wireless adapters. If you have different network adapter types, such as Ethernet, HPNA, or wireless devices, installed in your computer, the Network Setup Wizard can create a network bridge so that all of the computers in your network can communicate.

In XOX, Windows Firewall is enabled by default for all network and Internet connections. Windows Firewall helps protect your computers from intrusions from the Internet. You can also download and install a firewall of your own choosing. To enable file and printer sharing, open Windows Firewall in Control Panel, click the Exceptions tab, and then select File and Printer Sharing.

XOX


Configure other computers on your network using the CD

Microsoft Windows graphic

To configure other computers on your network using the CD

If you are running the Network Setup Wizard on XOX, you must be logged on as an administrator to complete this procedure.

  1. Insert the XOX CD-ROM into the computer that you want to connect to your home or small office network.
  2. Click Perform additional tasks.
  3. Click Set up a home or small office network.

Notes

    • The Network Setup Wizard can only be run on computers running Windows 98, Windows 98 Second Edition, Windows Millennium Edition, XOX, or XOX.
    • If you are using Internet Connection Sharing (ICS), run the wizard on the ICS host computer first. The host computer is the one that is sharing its Internet connection.
    • Before running the Network Setup Wizard on computers running Windows 98 Second Edition or Windows Millennium Edition, make sure that ICS is disabled on those computers. XOX


Create a network setup floppy disk

Microsoft Windows graphic

To create a network setup floppy disk

If you are running the Network Setup Wizard on XOX, you must be logged on as an administrator to complete this procedure.

  1. Start the Network Setup Wizard.
  2. Follow the steps on your screen to configure your home or small office network.
  3. On the page You're almost done, insert a blank, formatted floppy disk into the drive, and then click Create a Network Setup Disk.

Important

  • If you have already run the Network Setup Wizard, and did not create the floppy disk, you must run it again to create the floppy disk, and enter the same information for your network that you entered when you ran the wizard the first time.

Notes

  • XOX
  • The Network Setup Wizard can only be run on computers using Windows 98, Windows 98 Second Edition, Windows Millennium Edition, or XOX.
  • If you are using Internet Connection Sharing, run the wizard on the XOX host computer first. The host computer is the one sharing its Internet connection.
  • Before running the Network Setup Wizard on computers running Windows 98 Second Edition or Windows Millennium Edition, make sure Internet Connection Sharing is disabled on those computers.


Configure other computers on your network using a floppy disk

Microsoft Windows graphic

To configure other computers on your network using a floppy disk

XOX

  1. Insert the network setup disk into the computer that you want to network.
  2. Double-click My Computer.
  3. Double-click 3 ½ Floppy (A:).
  4. Double-click netsetup.exe.

Notes

  • The Network Setup Wizard can only be run on computers running Windows 98, Windows 98 Second Edition, Windows Millennium Edition, XOX, or XOX
  • Run the wizard on the computer with the residential gateway (or the XOX Internet Connection Sharing (ICS) host computer) first. The ICS host computer is the one sharing its Internet connection.
  • Before running the Network Setup Wizard on computers running Windows 98 Second Edition or Windows Millennium Edition, make sure ICS is disabled on those computers. XOX


Computer name and description overview

A computer name identifies your computer on the network. To participate in the network, each computer must have a unique name. If two computers have the same name, it creates a conflict for network communications. When choosing a computer name, it is suggested you keep it short and simple, such as family or den.

Some Internet service providers (ISPs) require that you use a specific computer name. The computer name identifies the computer to the ISP's network and is used to validate your Internet account. Check with your ISP to see if they require a specific computer name. If so, do not change the computer name provided by your ISP.

The computer name is limited to fifteen characters and cannot contain spaces or any of the following special characters:
; : " < > * + = \ | ? ,

The computer description is a short explanation of the computer. For example, if you have a computer in your family room, the description could be "family room computer." If your network is a combination of Windows operating systems, such as XOX, Windows Millennium Edition, and Windows 98, the computer description is only displayed on XOX.


Specify your computer and workgroup names

Microsoft Windows graphic

To specify your computer and workgroup names

  1. Open System.
  2. On the Computer Name tab, click Change.
  3. In Computer name, type your computer name.

    The computer name must be unique. You cannot use a name already in use on the network.

  4. In Workgroup, type the workgroup name.

Notes

  • XOX
  • The Network Setup Wizard automatically configures your workgroup name.
  • The workgroup name must be the same on all the computers on the network.
  • Some Internet service providers (ISPs) require a specific computer name. Check with your ISP before changing the name of the computer that is attached to the residential gateway (or your Internet Connection Sharing (ICS) host computer).


Enable file and printer sharing using the Network Setup Wizard

Microsoft Windows graphic

To enable file and printer sharing using the Network Setup Wizard

XOX

  1. Run the Network Setup Wizard.
  2. Click the connection method that applies for your computer.
  3. Accept the default computer description and computer name.
  4. Accept the default workgroup name. This name should match the workgroup name of the other computers that you want to share files with.
  5. On the File and printer sharing page, do one of the following:
    • To enable file and printer sharing, click Turn on file and printer sharing. Windows Firewall will be configured to allow file and printer sharing on your network.
    • To disable file and printer sharing, click Turn off file and printer sharing. Windows Firewall will block file and printer sharing on your network. If you currently have shared files or printers, they will no longer be shared.
  6. Complete the rest of the wizard.


Adding a new computer to an existing Windows network

Your home or small office network can have computers running different Windows operating systems such as Windows 98, Windows 2000 Professional, or Windows Millennium Edition. You might also have a residential gateway or Internet Connection Sharing (ICS) enabled on one of those computers.

When you add a XOX or XOX computer to your home or small office network, you should consider where in the network that computer is going to be. Here are some questions to ask yourself:

  • Am I going to make the new computer an ICS host computer and share its Internet connection with the other computers on my network?
  • Do I want to protect my network from intrusions and attacks from the Internet? If you are sharing one Internet connection with the rest of your network, you can make the XOX or XOX computer the ICS host computer to take advantage of Windows Firewall. Windows Firewall is enabled by default for all connections in XOX.
  • Do I have a mixed network environment? If your new computer has different types of network adapters installed, such as Ethernet, home phoneline network adapter (HPNA), or wireless, you can use network bridging in XOX to connect different network segments.

When you have your new computer set up and physically connected to your network, we recommend that you run the Network Setup Wizard on your new computer. The wizard automatically configures the computer so that it can join the network. If you are making your new computer the ICS host computer, during the Network Setup Wizard, create a floppy disk to run the Network Setup Wizard on the other computers on your network.

Notes

  • XOX
  • If you are making your new computer the ICS host computer, first disable ICS on any computer running Windows 98 Second Edition, Windows Millennium Edition, or Windows 2000 before you enable ICS on the new computer. XOX
  • If you are making your new computer the ICS host computer, run the Network Setup Wizard on that computer first. Then, using the floppy disk, run the Network Setup Wizard on the rest of the computers on the network. For more information, see Configure other computers on your network.
  • The Network Setup Wizard can only be run on computers running XOX, XOX, Windows 98, Windows 98 Second Edition, Windows Millennium Edition, and XOX.


Add a Windows XP computer to your network

Microsoft Windows graphic

To add a XOX computer to your network

XOX

  1. Set up your new computer and physically connect it to your home or small office network.
  2. Start the Network Setup Wizard.

    If your network uses Internet Connection Sharing (ICS) and the ICS host computer is running XOX or XOX, run the Network Setup Wizard on that computer first.

  3. Follow the instructions on your screen.

Notes

  • XOX
  • The Network Setup Wizard is only supported on computers running Windows 98, Windows 98 Second Edition, Windows Millennium Edition, or XOX.


See another computer on your network

Microsoft Windows graphic

To see another computer on your network

  1. Open My Computer.
  2. Under Other Places, click My Network Places. The computers on your network are displayed. If they are not listed, under Network Tasks, click View workgroup computers. Double-click the computer you want to access.

Notes

  • XOX
  • Shared printers and folders are also displayed in My Network Places.


Open a shared folder on another computer

Microsoft Windows graphic

To open a shared folder on another computer

  1. Open My Computer.
  2. Under Other Places, click My Network Places. The shared folders on your network are displayed. If they are not listed, do the following:
  3. Double-click the computer where the shared folder is located.
  4. Double-click the folder you want to open.

Note

  • XOX


Using DHCP with Internet Connection Sharing

TCP/IP requires that each computer on a network have a unique number called an IP address. If you have two network adapters on your computer, each must have a different IP address. For example, when you connect to the Internet, your DSL or cable modem will have a different IP address than the network adapter connected to your home or small office network.

IP numbers are hierarchical. A number called a subnet mask is used with the IP address to enable the segmentation of a large network into smaller networks. It is important for you to remember the specific set of numbers used in your home network.

There are groups of IP addresses specifically reserved for small networks. One of these groups is used by residential gateways and by Internet Connection Sharing (ICS) - 192.168.0.x where x represents a number between 0 and 255.

These numbers are used with a subnet mask of 255.255.255.0. This particular subnet mask is known as a Class C subnet.

Understanding the IP addressing scheme and using it appropriately can be difficult. Residential gateways and Internet Connection Sharing (ICS) automate the IP numbering task for the ICS client computers on your network by using the Dynamic Host Configuration Protocol (DHCP) service. The DHCP service enables the residential gateway or the ICS host computer to assign IP addresses to client computers automatically. By default, when a residential gateway or ICS is installed, the DHCP service begins supplying addresses to computers on the network.

Your Internet service provider (ISP) might use a DHCP service to assign your computer an IP address when you connect to the Internet. This is commonly referred to as a dynamic IP address. Each time your computer connects to the Internet, a different but unique number might be assigned to it.

When you install ICS, assuming that you have two adapters in the computer—one for the device connecting you to the Internet and another for connecting to your home or small office network - an IP address of 192.168.0.1 is assigned to the network adapter connected to your home network. This is assigned permanently and is referred to as a static IP address because it does not change. Next, the DHCP service is loaded into memory so that IP addresses can be assigned to computers on the network.

Each client computer must request an address. It is important that the ICS host computer remain on all the time or be started prior to starting the other computers on your network. Otherwise, the client computers will be unable to obtain an IP address.

Note

  • Your ISP might charge you for connecting multiple computers through a single Internet connection. Refer to your ISP for details.


Using the Network Setup Wizard with languages other than English

If your home or small office network includes multiple versions of Windows in languages other than English, there are special considerations to keep in mind.

Versions of Windows in languages other than English can display items that use double-byte characters (used by some Asian languages) or extended characters in their names. If your network contains a mix of computers using different languages, these characters will appear incorrectly in some languages (only ASCII characters appear correctly), preventing you from gaining access to the files, computers, and other items that use these characters in their names.

Therefore, it is recommended that you do not use double-byte or extended characters on home or small office networks that contain computers using different language versions of Windows, for the following reasons:

  • If computer names contain these characters, other computers on your network can see them; however, the names will appear incorrectly and you won't be able to gain access to these computers.
  • If a workgroup name contains these characters, you will not be able to connect computers to that workgroup.


Compile Date

Microsoft Windows graphic
Compile Date: 2004-05-24


Illustration: Ethernet network with external DSL or cable modem

 Home and Small Office Networking


Illustration: Ethernet network with an internal modem

 Home and Small Office Networking


Illustration: Ethernet network using an external modem

 Home and Small Office Networking


Illustration: Wireless network using an internal modem

 Home and Small Office Networking


Illustration: Ethernet network

 Home and Small Office Networking


Illustration: Home phoneline network using an external DSL or cable modem

 Home and Small Office Networking


Illustration: Home phoneline network using an internal modem

 Home and Small Office Networking


Illustration: Home phoneline network using an external modem

 Home and Small Office Networking


Illustration: Wireless network using an external modem

 Home and Small Office Networking


Illustration: Home phoneline network

 Home and Small Office Networking


Illustration: Wireless network using an external DSL or cable modem

 Home and Small Office Networking


Illustration: Wireless network

 Home and Small Office Networking


Illustration: Public and private network connections in an Ethernet network

 Home and Small Office Networking


Illustration: Mixed network environment using an external DSL or cable modem

 Home and Small Office Networking


Illustration: Mixed network environment using internal modems

 Home and Small Office Networking


Illustration: Mixed network environment using an external 28.8k or 56k modem

 Home and Small Office Networking


Illustration: Computer connected to the Internet through a Residential Gateway

 Home and Small Office Networking


Illustration: Computer connected directly to the Internet. Other computers on the network connect to the Internet through this computer.

 Home and Small Office Networking


Illustration: Computer connected to the Internet through another computer on my network

 Home and Small Office Networking


Illustration: Computer connected directly to the Internet

 Home and Small Office Networking


Illustration: This computer belongs to a network that does not have an Internet connection

 Home and Small Office Networking


Illustration: Compter connected to the Internet through another computer on my network or through a Residential Gateway

 Home and Small Office Networking


Disable Internet Connection Sharing in Windows 98 Second Edition

Microsoft Windows graphic

To disable Internet Connection Sharing in Windows 98 Second Edition

  1. Open Control Panel by clicking Start, pointing to Settings, and then clicking Control Panel.
  2. Double-click Add/Remove Programs.
  3. On the Windows Setup tab, click Internet Tools, and then click Details.
  4. Clear the Internet Connection Sharing check box, and then click OK.

Note

  • Before starting to disable Internet Connection Sharing in Windows 98 Second Edition, print this procedure so you will have it handy while completing each step.


Disable Internet Connection Sharing in Windows 2000

Microsoft Windows graphic

To disable Internet Connection Sharing in Windows 2000

XOX

  1. Open Network and Dial-up Connections by clicking Start, pointing to Settings, and then clicking Network and Dial-up Connections.
  2. Right-click the dial-up, virtual private network (VPN), or local area connection on which you want to disable Internet Connection Sharing, and then click Properties.
  3. On the Sharing tab, clear the Enable Internet connection sharing for this connection check box, and then click OK.

Note

  • Before starting to disable Internet Connection Sharing in Windows 2000, print this procedure so you will have it handy while completing each step.


Disable Internet Connection Sharing in Windows Millennium Edition

Microsoft Windows graphic

To disable Internet Connection Sharing in Windows Millennium Edition

  1. Open Control Panel by clicking Start, pointing to Settings, and then clicking Control Panel.
  2. Double-click Add/Remove Programs.
  3. On the Windows Setup tab, click Communications, and then click Details.
  4. Clear the Internet Connection Sharing check box, and then click OK.

Note

  • Before starting to disable Internet Connection Sharing in Windows Millennium Edition, print this procedure so you will have it handy while completing each step.


Enable IPX/SPX file and print sharing on Windows 2000

Microsoft Windows graphic

To enable IPX/SPX file and print sharing on Windows 2000

XOX

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Network and Dial-up Connections.
  3. Right-click the local area connection, and then click Add.
  4. In Local Area Network Properties, click Install.
  5. In Select Network Component Type, click Protocol, and then click Add.
  6. Click NWLink IPX/SPX/NetBIOS Compatible Transport Protocol, click OK, and then click Close.
  7. In Network Connections, on the Advanced menu, click Advanced Settings.
  8. On the Adapters and Bindings tab, under Connections, click the local area connection you are enabling IPX/SPX file and print sharing on.
  9. Under Bindings for Local Area Connection, under File and Print Sharing for Microsoft Networks, clear the Internet Protocol (TCP/IP) check box, and then click OK.

Important

  • Only perform this procedure if your home or small office computers are connected directly to the Internet through individual connections or using a DSL or cable modem connected to an Ethernet network hub.


Enable IPX/SPX file and printer sharing on Windows 95, Windows 98, and Windows Millennium Edition

Microsoft Windows graphic

To enable IPX/SPX file and print sharing on Windows 95, Windows 98, and Windows Millennium Edition

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Network.
  3. If File and Print Sharing is installed, click File and Printer Sharing for Microsoft Networks, and then click Remove.
  4. Click Add.
  5. In Select Network Component Type, click Protocol, and then click Add.
  6. In Select Network Protocol, under Manufacturers, click Microsoft.
  7. Under Network Protocols, click IPX/SPX-compatible Protocol and then click OK.
  8. On the Network properties page, click Add, and then in Select Network Component Type, click Service.
  9. In Select Network Service, under Manufacturers, click Microsoft.
  10. Under Network Services, click File and Printer Sharing for NetWare Networks and then click OK.

Important

  • Only perform this procedure if your home or small office computers are connected directly to the Internet through individual connections or using a DSL or cable modem connected to an Ethernet network hub.

Note

  • In Windows Millennium Edition, when you start Control Panel, you might see a list of frequently used Control Panel items. To see all of the Control Panel icons, click View all Control Panel options.


Sample table for determining hardware needs

This sample table will help you create your own table listing the computers on your network. Using this kind of table, you can make a list of the hardware you need to purchase to set up your home or small office network.

Computer location | Does it have a network adapter? | What kind of modem? | Other hardware devices
Den | Ethernet | DSL | Printer, scanner
Son's bedroom | No | 56 kilobits per second (Kbps) analog modem | Digital camera
Daughter's bedroom | No | No modem | Scanner
Library | Ethernet | No modem | Printer

Based on this sample, if your home is pre-wired for Ethernet, you might want to buy Ethernet adapters, cables, and the network hub to connect your computers. Otherwise, you may want to consider purchasing a home phoneline network adapter (HPNA) or wireless adapter to connect your computers together.

Note

  • XOX